=== debian/changelog ===
oem-volatile-amdgpu-18.10-546723-cnb-lp1756834 (1.0stella1) xenial; urgency=medium

  * SOURCE: amdgpu-pro-18.10-546723.tar.xz (LP: #1756834)

 -- hugh chao <hugh.chao@canonical.com>  Mon, 26 Mar 2018 08:39:53 +0800
