=== debian/control ===
Source: oem-volatile-amdgpu-18.10-546723-cnb-lp1756834
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 9), dh-modaliases, dh-systemd
Standards-Version: 3.9.7
Vcs-Git: git+ssh://git.launchpad.net/~stella-team/columbia/+git/oem-volatile-amdgpu-18.10-546723-cnb-lp1756834

Package: oem-volatile-amdgpu-18.10-546723-cnb-lp1756834
Architecture: all
Depends: ${misc:Depends}
Description: amdgpu non-pro DKMS from AMD
 With this AMD driver, you can use AMD graphics normally.
